#ifndef plugin_barH
#define plugin_barH

#include <windows.h>

#include "plugin_struct.h"

//-------------------------------------------------------------------------------------------
//Funkcja przeprowadzajca operacje na okienkach doklejanych
//WPARAM - id funkcji
#define TLEN_MANAGE_BAR_WINDOWS                 "Tlen/ManageBarWindows"

//dodaje doklejane okienko do tlenu
#define TLEN_BAR_WINDOW_ACTION_ADD              1

//LPARAM:
typedef struct {

 int structSize;

 char *BarID;
 char *Name;
 char *Description;

 HWND Handle;
 TLENFUNCTION CallBackFunction;

 HINSTANCE ModuleHandle; //Uchwyt dll'a pluginu

 int Flags;

} BarWindowAddDef;


//Usuwa doklejane okienko z tlenu
//LPARAM - Handle
#define TLEN_BAR_WINDOW_ACTION_REMOVE           2

//Informuje tlen, e okienko zmienio rozmiar
#define TLEN_BAR_WINDOW_ACTION_SIZECHANGED      3
//Informuje tlen, e okienko zmienio pozycj (uytkownik przesun je)
#define TLEN_BAR_WINDOW_ACTION_POSCHANGED       4

//LPARAM:
typedef struct {

 int structSize;

 char *BarID;
 HWND Handle;

 int Show;
 RECT WindowRect;

 int Flags;

} BarWindowActionDef;

//przywouje tlen na 1 plan
#define TLEN_BAR_WINDOW_ACTION_MAINTOTOP       5

//zwraca uchwyt do glownego okna tlenu
#define TLEN_BAR_WINDOW_ACTION_GETMAINHANDLE   6


//Wywolania funckji callback:

//WPARAM - id funkcji

//Nalezy albo pokazac albo schowac okno doklejone (w zaleznosci od show)
//LPARAM: BarWindowActionDef *
#define TLEN_BAR_WINDOW_CALLBACK_SHOW           1

//Nalezy przesunac okno w nowe miejsce
//LPARAM: BarWindowActionDef *
#define TLEN_BAR_WINDOW_CALLBACK_MOVE           2

//Do struktury RECT nalezy wpisac pozycje okna
//LPARAM: BarWindowActionDef *
#define TLEN_BAR_WINDOW_CALLBACK_GETWINRECT     3

#endif